import React, { PropTypes } from 'react';

import FoundationMobileError from './FoundationMobileError';


const FoundationMobileErrorList = React.createClass({

    propTypes: {
        errors: PropTypes.array
    },

    getDefaultProps() {
        return {
            errors: []
        };
    },

    renderError(error, index) {
        return (
            <FoundationMobileError key={ index }>
                { error }
            </FoundationMobileError>
        );
    },

    render() {
        return (
            <div>
                { [].map.call(this.props.errors, this.renderError) }
            </div>
        );
    }

});

export default FoundationMobileErrorList;
