export const type = 'LIGHTBOX.OPEN';

export default ({ name, props }) => {
    return {
        type,
        payload: {
            name,
            props
        }
    };
};

export const reducer = {
    [type]: (state, action) => {
        const { payload } = action;
        const { name, props } = payload;

        return {
            ...state,
            name,
            props
        };
    }
};
