import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import purebem from 'purebem';

import './FoundationInformationIcon.less';


const block = purebem.of('foundation-information-icon');

const FoundationInformationIcon = React.createClass({

    mixins: [PureRenderMixin],

    propTypes: {
        description: PropTypes.string,
        onClick: PropTypes.func,
        title: PropTypes.string
    },

    getDefaultProps() {
        return {
            description: '',
            onClick: (/* title, description */) => {},
            title: ''
        };
    },

    onClick() {
        const { description, onClick, title } = this.props;
        onClick(title, description);
    },

    render() {
        return (
            <i className={ block() } onClick={ this.onClick } />
        );
    }

});

export default FoundationInformationIcon;
