import React, { PropTypes } from 'react';
import purebem from 'purebem';

import './FoundationLightboxHeader.less';


const block = purebem.of('foundation-lightbox-header');

const FoundationLightboxHeader = React.createClass({

    propTypes: {
        children: PropTypes.node
    },

    render() {
        return (
            <div className={ block() }>
                { this.props.children }
            </div>
        );
    }

});

export default FoundationLightboxHeader;
